GET V1/Inventory.{ext}/SavingClassification?classificationId={classificationId}&pageSize={pageSize}&pageIndex={pageIndex}

This API is used to Get Saving Classification Details by ClassificationID.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
classificationId

ClassificationId Ex: 1,2

string

Default value is

pageSize

TIndicates number of records to be returned.(Ex:-10)

integer

Default value is 0

pageIndex

Indicates how many records to skip.(Ex:-1)

integer

Default value is 0

ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

None.

Response Information

Resource Description

return Saving Classification

EMSResponseOfEMS.Inventory.Entities.SavingClassifications
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Inventory.Entities.SavingClassifications

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "SavingClassifications",
  "response": {
    "savingClassificationlist": [
      {
        "classificationId": 1,
        "classficationName": "sample string 1",
        "classficationDescription": "sample string 2",
        "status": "sample string 3"
      },
      {
        "classificationId": 1,
        "classficationName": "sample string 1",
        "classficationDescription": "sample string 2",
        "status": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.